Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class MultiMeasure

    java.lang.Object
      mro.util.measures.Measure
          mro.util.measures.MultiMeasure

    public class MultiMeasure

extends Measure

A multi measure: Several values. For instance used for "Part purity".

Field Summary
`(package private) java.util.Vector<Measure>` | `measures`

Fields inherited from class mro.util.measures.Measure
`description, iogrelative, name, roundFloatToNumOfDecimals, roundValue, stamp, value`

Constructor Summary
`MultiMeasure()`
`MultiMeasure(MultiMeasure p2)` Copy Constructor.
`MultiMeasure(java.lang.String name, double value, java.lang.String description)`
`MultiMeasure(java.lang.String name, double value, java.lang.String description, IObjectGroup iogrelative)` To read from XML files...

Method Summary
`void` | `addMeasure(Measure m)`
`java.util.Vector<Measure>` | `getMeasures()`
`void` | `printXML(java.io.PrintWriter pw)`

Methods inherited from class mro.util.measures.Measure
`difference, divide, getDescription, getName, getRelativeIObjectGroup, getStamp, getValue, normDifference, setDescription, setStamp, setValue, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measures

    java.util.Vector<Measure> measures

Constructor Detail

### MultiMeasure

    public MultiMeasure()

### MultiMeasure

    public MultiMeasure(java.lang.String name,
                        double value,
                        java.lang.String description)

### MultiMeasure

    public MultiMeasure(MultiMeasure p2)

  Copy Constructor.

### MultiMeasure

    public MultiMeasure(java.lang.String name,
                        double value,
                        java.lang.String description,
                        IObjectGroup iogrelative)

  To read from XML files...

Method Detail

### addMeasure

    public void addMeasure(Measure m)

### getMeasures

    public java.util.Vector<Measure> getMeasures()

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Overrides:
    `printXML` in class `Measure`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD